Each product type has corresponding packaging, dictated by OS or environment. E.g. `macos/app` are packaged as so-called bundles, `android/app` as APKs, and `jvm/app` as jars.
By default, packages are generated according to platform and build tool conventions. When custom configuration is needed, Amper offer a separate `packaging:` section.

_NOTE: Packaging configuration is not yet implemented. Meanwhile, wou can use [Gradle interop](#gradle-interop) for packaging._

```yaml
product: jvm/app

packaging:
  - type: fatJar            # specify type of the package 
    resources:              # specify how to lay out the final artifact
      include: licenses/**    
```
