Product type describes the target platform and the type of the product at the same type. Here is the partial list of possible product types:
- `lib` - a reusable library which could be used as dependency by other Modules in the codebase.
- `jvm/app` - a JVM console or desktop application
- `windows/app` - a mingw64 app (not yet implemented)
- `linux/app`
- `macos/app`
- `android/app` - an Android VM application
- `ios/app` - an iOS/iPadOS application
- `watchos/app` - an Apple Watch application (not yet implemented)

Other product types what we plan to support in the future:
- `windows/dll`
- `linux/so`
- `macos/framework`
- etc.

The product types is supposed to be [extensible](#extensibility), so the following types could also be possible in the future:
- `jvm/war`
- `jvm/intellij-plugin`
